Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hatieu

Đưa toàn bộ text, mtext về cùng chiều cao

Các bài được khuyến nghị

hatieu    13

Vấn đề đặt ra là trong 1 bản vẽ có rất nhiều text, mtext, text của dim, text của lead, text bên trong block, text của attribute.

Mà chiều cao của các text, mtext đó không bằng nhau.

Bây giờ em muốn có một lisp, lisp sẽ đưa các text và mtext trên về cùng chiều cao h.

- Gõ lệnh

- Nhập chiều cao h.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Detailing    278

Vấn đề đặt ra là trong 1 bản vẽ có rất nhiều text, mtext, text của dim, text của lead, text bên trong block, text của attribute.

Mà chiều cao của các text, mtext đó không bằng nhau.

Bây giờ em muốn có một lisp, lisp sẽ đưa các text và mtext trên về cùng chiều cao h.

- Gõ lệnh

- Nhập chiều cao h.

MUỐN thì tự làm đi bạn, xong rồi thì up lên chia sẽ với người khác. Bạn đi nhờ người khác viết dùm mà như ra lệnh cho người ta. Ai viết dùm bạn???

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hatieu    13

Đúng là text và mtext thì em làm được còn atttext và text của dim thì em chịu.

Đây là lisp đưa toàn bộ text về cùng chiều cao h.

Nhờ các bác hộ em thêm các chức năng đưa mtext, text của dim, attext về cùng chiều cao vào lisp này với.

 (defun C:htext( / ss ss1 e d h)
 (setq h (getreal (strcat "\nNhap chieu cao text :")))      
 (setq ss (ssget '((0 . "TEXT")))
)
 (while (setq e (ssname ss 0))
   (setq d (entget e)
  d (subst (cons 40 h) (assoc 40 d) d)
  )
   (entmod d)
   (ssdel e ss)
   )
 (princ)
 )

Em cảm ơn trước!

Em mượn câu của bác ketxu

(Cái gì biết thì chia sẻ.Đừng sợ người ta cười mình hợm hĩnh.Chỉ e người ta không muốn tiếp thu.

Cái gì chưa biết thì hỏi.Đừng ngại người ta cười mình dốt.Chỉ sợ mình hoài dốt thật)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

bác hatieu cho hỏi : cái list này của bác tôi chỉ làm cho text thôi, còn mtext thì không. vậy nhờ bác chỉ giúp

Bạn mở lisp ra và sửa chữ "TEXT" thành "*TEXT", save, load lại.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×